%define major 1
%define libname %mklibname datrie %{major}
%define develname %mklibname datrie -d

Summary:	Double-array structure for representing trie
Name:		libdatrie
Version:	0.2.10
Release:	%mkrel 1
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		http://linux.thai.net
Source0:	http://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	pkgconfig

%description
This is an implementation of double-array structure for representing trie.

Trie is a kind of digital search tree, an efficient indexing method with
O(1) time complexity for searching. Comparably as efficient as hashing,
trie also provides flexibility on incremental matching and key spelling
manipulation. This makes it ideal for lexical analyzers, as well as spelling
dictionaries.

%package -n	trietool
Summary:	Trie manipulation tool
Group:		Databases
Provides:	%{name} = %{version}

%description -n	trietool
Trietool is a trie manipulation tool.

%package -n	%{libname}
Summary:	Double-array structure for representing trie
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n	%{libname}
This is an implementation of double-array structure for representing trie.

Trie is a kind of digital search tree, an efficient indexing method with
O(1) time complexity for searching. Comparably as efficient as hashing,
trie also provides flexibility on incremental matching and key spelling
manipulation. This makes it ideal for lexical analyzers, as well as spelling
dictionaries.

%package -n	%{develname}
Summary:	Double-array structure for representing trie
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	pkgconfig
Provides:	datrie-devel = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname datrie 0 -d}

%description -n	%{develname}
This package includes the header files and developer docs for the libdatrie
package.

Install libdatrie-devel if you want to develop programs which will use
libdatrie.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

rm %{buildroot}%{_libdir}/*.la

%files -n trietool
%{_bindir}/*
%{_mandir}/man1/trietool*.1*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc README AUTHORS NEWS
%{_docdir}/%{name}/README.migration
%{_includedir}/datrie
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*
%{_datadir}/doc/datrie/


%changelog
* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.2.10-1.mga6
+ Revision: 918780
- 0.2.10

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8-3.mga5
+ Revision: 741004
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8-2.mga5
+ Revision: 681396
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 dams <dams> 0.2.8-1.mga5
+ Revision: 666692
- new version 0.2.8

* Sat Oct 19 2013 umeabot <umeabot> 0.2.6-2.mga4
+ Revision: 529014
- Mageia 4 Mass Rebuild

* Tue Apr 09 2013 dams <dams> 0.2.6-1.mga4
+ Revision: 409191
- new version 0.2.6

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-2.mga3
+ Revision: 356940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 tv <tv> 0.2.5-1.mga2
+ Revision: 202490
- new release

* Wed Jan 12 2011 dmorgan <dmorgan> 0.2.4-1.mga1
+ Revision: 7533
- imported package libdatrie

